import { MongoClient, Db, Collection } from "mongodb";
export declare class MongoConnector {
    url: string;
    dbName: string;
    db: Db;
    client: MongoClient;
    constructor(url: string, dbName: string);
    connect(started?: Function): Promise<void>;
    disconnect(): Promise<void>;
    dispose(): Promise<void>;
    collection<T>(name: string): Collection<T>;
}
export default MongoConnector;
